QGIS Application - Bug report #12847
virtual layer query in DBmanager throws error

2015-05-29 01:48 AM - Regis Haubourg

Status: Closed
Priority: High
Assignee: Hugo Mercier
Category: DB Manager

Affected QGIS version:2.8.2
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: invalid

Copied to github as #: 20941

Description

a simple query on a postgis layer : "select * from cours_eau" throws this error message:

Traceback (most recent call last):

File "WNASO01\\appdata2008\\haubourg\\AppData\\Roaming\\.qgismaster/python/plugins\\db_manager\\dlg_sql_window.py",

line 172, in executeSq|

model = self.db.sqlResultModel(sql, self)

File

"WNASO01\\appdata2008\\haubourg\\AppData\\Roaming\\.qgismaster/python/plugins\\db_manager\\db_plugins\\vlayers\\plugin.py", lin

y", line 105, in sqlResultModel

return LSqglResultModel(self, sql, parent)

File

"WNASO01\\appdata2008\\haubourg\\AppData\\Roaming\\.qgismaster/python/plugins\\db_managen\db_plugins\\vlayers\\data_model.

del.py", line 76, in __init__
if not p.isValid():

AttributeError: 'NoneType' object has no attribute 'isValid'

e 105,

Dy", line

History

#1 - 2015-06-09 01:14 PM - Jiirgen Fischer
- Resolution set to invalid

- Status changed from Open to Closed

third party plugin. Maybe file a ticket here

#2 - 2015-06-10 12:14 AM - Regis Haubourg

Sorry for that, | thought it was in core.
Cheers

2025-04-27

1/1


https://github.com/mhugo/qgis_vlayers/issues

